<div class="row justify-content-center">
    <div class="col-8">
        <form name="editForm" role="form" novalidate (ngSubmit)="save()" [formGroup]="editForm">
            <h2 id="jhi-email-transaction-heading">Create or edit a Email Transaction</h2>

            <div>
                <jhi-alert-error></jhi-alert-error>

                <div class="form-group" [hidden]="!editForm.get('id')!.value">
                    <label for="id">ID</label>
                    <input type="text" class="form-control" id="id" name="id" formControlName="id" readonly />
                </div>

                <div class="form-group">
                    <label class="form-control-label" for="field_templateName">Template Name</label>
                    <input type="text" class="form-control" name="templateName" id="field_templateName"
                           formControlName="templateName"/>
                </div>

                <div class="form-group">
                    <label class="form-control-label" for="field_to">To</label>
                    <input type="text" class="form-control" name="to" id="field_to"
                           formControlName="to"/>
                </div>

                <div class="form-group">
                    <label class="form-control-label" for="field_subject">Subject</label>
                    <input type="text" class="form-control" name="subject" id="field_subject"
                           formControlName="subject"/>
                </div>

                <div class="form-group">
                    <label class="form-control-label" for="field_body">Body</label>
                    <input type="text" class="form-control" name="body" id="field_body"
                           formControlName="body"/>
                </div>

                <div class="form-group">
                    <label class="form-control-label" for="field_sendDate">Send Date</label>
                    <div class="d-flex">
                        <input id="field_sendDate" type="datetime-local" class="form-control" name="sendDate" formControlName="sendDate" placeholder="YYYY-MM-DD HH:mm"/>
                    </div>
                </div>

                <div class="form-group">
                    <label class="form-control-label" for="field_status">Status</label>
                    <select class="form-control" name="status" formControlName="status" id="field_status">
                        <option value="SUCCESS">SUCCESS</option>
                        <option value="FAIL">FAIL</option>
                    </select>
                </div>

                <div class="form-group">
                    <label class="form-control-label" for="field_error">Error</label>
                    <input type="text" class="form-control" name="error" id="field_error"
                           formControlName="error"/>
                </div>
            </div>

            <div>
                <button type="button" id="cancel-save" class="btn btn-secondary" (click)="previousState()">
                    <fa-icon icon="ban"></fa-icon>&nbsp;<span>Cancel</span>
                </button>

                <button type="submit" id="save-entity" [disabled]="editForm.invalid || isSaving" class="btn btn-primary">
                    <fa-icon icon="save"></fa-icon>&nbsp;<span>Save</span>
                </button>
            </div>
        </form>
    </div>
</div>
